<script>
	import SVG from "@/components/svg.svelte"
</script>

<template lang="pug">
a.phone.is-flex.is-align-items-center.is-justify-content-center( href="tel:+971 52 730 5581" )
	span.icon.is-flex: SVG( folder="icons" name="phone" )
	span +971 52 730 5581
</template>

<style lang="scss">
	.phone {
		background: $primary;
		padding: 1rem .75rem;
		transition: background .2s ease-in-out;
		&:hover {
			background: $primary-light;
		}
	}

	.icon {
		margin-right: .75rem;
		width: 1.5rem;
		:global(svg) {
			width: 1.5rem;	
		}
	}

	span:last-of-type {
		color: $black;
	}
</style>